--Mutating error changes
grant execute any procedure to sjs;
/

--1.Incident table
--changes to exisitng delete trigger
create or replace TRIGGER SJS.I_NYDEX_DELETE
before delete ON SJS.INCIDENT
Begin
   -- insert into NYDEX.NYDEX_MOD_LOG values (:old.I_id,'GREEN',null,1,'D',:old.AGCY_ORI,'N','N','N',null,null,null);
   NYDEX.NYDEX_AVOID_MUTATE.oldvals := NYDEX.NYDEX_AVOID_MUTATE.empty; 
End;
/

--new trigger for before delete for each row
create or replace
TRIGGER SJS.I_NYDEX_DELETE_DDFER
 BEFORE DELETE ON SJS.INCIDENT 
FOR EACH ROW 
declare
        i    number default NYDEX.NYDEX_AVOID_MUTATE.oldvals.count+1; 
BEGIN
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).i_id := :old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).security_flag:='GREEN';
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).batchno := null;
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).block_num := 1;
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).operation := 'D';
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).agcy_ori := :old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).process_status := 'N';
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).security_flag_status := 'N';
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).raw_xml_creation_status:='N';
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).sealed_pk_id := null;
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).seal_type:=null;
  NYDEX.NYDEX_AVOID_MUTATE.oldvals(i).process_status_log :=null;
END;
/

--new trigger on incident table for after delete case
create or replace TRIGGER SJS.I_NYDEX_DELETE_AD
 AFTER DELETE ON SJS.INCIDENT 
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.oldvals.count
  loop
    insert into nydex.nydex_mod_log values NYDEX.NYDEX_AVOID_MUTATE.oldvals(i);
  end loop;
END;
/

--2. incident charge table

--change to existing trigger
create or replace TRIGGER SJS.IC_NYDEX_DELETE
before DELETE ON SJS.INCIDENTCHARGES
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n; 
END;
/

--new trigger for before delete for each row
create or replace TRIGGER SJS.IC_NYDEX_DELETE_DFFER
before DELETE ON SJS.INCIDENTCHARGES
for each row
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=:old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=:old.agcy_ori;
END;
/

--new trigger for after delete
create or replace TRIGGER SJS.IC_NYDEX_DELETE_AD
AFTER DELETE ON SJS.INCIDENT 
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate 
    where i_id||AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id||NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/

--3.Incident Property table

--changes to existing delete trigger
create or replace TRIGGER SJS.IPROP_NYDEX_DELETE
BEFORE DELETE ON SJS.INCIDENTPROPERTY
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n; 
END;
/
--new trigger for before delete for each row
create or replace TRIGGER SJS.IPROP_NYDEX_DELETE_DFFER
before DELETE ON SJS.INCIDENTPROPERTY
for each row
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=:old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=:old.agcy_ori;
END;
/

create or replace TRIGGER SJS.IPROP_NYDEX_DELETE_Ad
AFTER DELETE ON SJS.INCIDENTPROPERTY 
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate 
    where i_id||AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id||NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/

--4. Incident Weapons tables.

--changes to existing delete trigger
create or replace TRIGGER SJS.IW_NYDEX_DELETE
BEFORE DELETE ON SJS.INCIDENTWEAPONS
BEGIN
 --update sjs.incident set i_nydex_mod_date=sysdate where i_id||agcy_ori=:old.i_id||:old.agcy_ori;
 NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n; 
END;
/

--new trigger for before delete for each row
create or replace TRIGGER SJS.IW_NYDEX_DELETE_BDFER
before DELETE ON SJS.INCIDENTWEAPONS
for each row
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=:old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=:old.agcy_ori;
END;
/

--new trigger for After Delete for each row
create or replace TRIGGER SJS.IW_NYDEX_DELETE_AD
AFTER DELETE ON SJS.INCIDENTWEAPONS 
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate 
    where i_id||AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id||NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/

--5. Arrest Charge table
--changes to existing delete trigger
create or replace TRIGGER SJS.AC_NYDEX_DELETE
BEFORE DELETE ON SJS.ARRESTCHARGES
BEGIN
  --update sjs.incident i set i.i_nydex_mod_date=sysdate where i. i_id||i.agcy_ori = :old.i_id||:old.i_agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n; 
END;
/

--new trigger for before delete for each row
create or replace TRIGGER SJS.AC_NYDEX_DELETE_BDFER
before DELETE ON SJS.ARRESTCHARGES
for each row
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=:old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=:old.agcy_ori;
END;
/

--new trigger for After Delete for each row
create or replace TRIGGER SJS.AC_NYDEX_DELETE_AD
AFTER DELETE ON SJS.ARRESTCHARGES 
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate 
    where i_id||AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id||NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/

--6.Incident Narrative table
--changes to existing delete trigger
create or replace TRIGGER SJS.IN_NYDEX_DELETE
BEFORE DELETE ON SJS.INCIDENTNARRATIVE
BEGIN
   --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
   NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n; 
END;
/

--new trigger for before delete for each row
create or replace TRIGGER SJS.IN_NYDEX_DELETE_BDFER
before DELETE ON SJS.INCIDENTNARRATIVE
for each row
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=:old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=:old.agcy_ori;
END;
/

--new trigger for After Delete for each row
create or replace TRIGGER SJS.IN_NYDEX_DELETE_AD
AFTER DELETE ON SJS.INCIDENTNARRATIVE
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate 
    where i_id||AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id||NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/

--7.incident Vehicle

--changes to existing delete trigger
create or replace TRIGGER SJS.IV_NYDEX_DELETE
BEFORE DELETE ON SJS.INCIDENTVEHICLES
BEGIN
   --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
   NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n; 
END;
/

--new trigger for before delete for each row
create or replace TRIGGER SJS.IV_NYDEX_DELETE_BDFER
before DELETE ON SJs.INCIDENTVEHICLES
for each row
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=:old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=:old.agcy_ori;
END;
/

--new trigger for After Delete for each row
create or replace TRIGGER SJS.IV_NYDEX_DELETE_AD
AFTER DELETE ON SJs.INCIDENTVEHICLES
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate 
    where i_id||AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id||NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/

--8. Warrantcharges table
--Changes to existing delete trigger
create or replace TRIGGER SJs.WC_NYDEX_DELETE
BEFORE DELETE ON SJS.WARRANTCHARGES
BEGIN
  --update sjs.incident i set i.i_nydex_mod_date=sysdate where i. i_id = :old.i_id and i.agcy_ori=:old.i_agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n; 
END;
/

--New trigger for Before delete for each row
create or replace TRIGGER SJs.WC_NYDEX_DELETE_BDFER
before DELETE ON SJS.WARRANTCHARGES
for each row
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
BEGIN
  --update sjs.incident set i_nydex_mod_date=sysdate where i_id||AGCY_ORI=:old.i_id||:old.agcy_ori;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=:old.i_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=:old.agcy_ori;
END;
/

--New trigger for After Delete
create or replace TRIGGER SJs.WC_NYDEX_DELETE_AD
AFTER DELETE ON SJS.WARRANTCHARGES
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate 
    where i_id||AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id||NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/
