--creating user
create user nydex identified by nydex;

--granting previleges
grant connect,resource to nydex;
/
grant select any table to nydex;
/
grant update any table to nydex;
/
grant execute any procedure to nydex;
/
grant execute any type to nydex;
/

GRANT SELECT ON sjs.xmlapi_incident_view TO NYDEX;

--Creating Temp table

CREATE TABLE "NYDEX"."TEMP" 
   (	"I_ID" NUMBER(18,0), 
	"AGCY_ORI" VARCHAR2(50 BYTE)
   );
 
--creating log tables
 CREATE TABLE "NYDEX"."NYDEX_BATCH_LOG" 
   (	"BATCHNO" NUMBER(18,0), 
	"PROCESS_STARTDT" DATE, 
	"PROCESS_ENDDT" DATE, 
	"PROCESSSTATUS" VARCHAR2(25) 	
   );

   CREATE TABLE "NYDEX"."NYDEX_MOD_LOG" 
   (	"I_ID" NUMBER(18,0), 
	"SECURITY_FLAG" VARCHAR2(10) DEFAULT '1', 
	"BATCHNO" NUMBER(18,0), 
	"BLOCK_NUM" NUMBER(5,0), 
	"OPERATION" VARCHAR2(5), 
	"AGCY_ORI" VARCHAR2(50), 
	"PROCESS_STATUS" VARCHAR2(5), 
	"SECURITY_FLAG_STATUS" VARCHAR2(15), 
	"RAW_XML_CREATION_STATUS" VARCHAR2(15), 
	"SEALED_PK_ID" VARCHAR2(36), 
	"SEAL_TYPE" VARCHAR2(30), 
	"PROCESS_STATUS_LOG" VARCHAR2(100)
   );

--Table for handleing images
 CREATE TABLE "NYDEX"."SJSPERSONPHOTOS" 
   (	"PH_ID" NUMBER(18,0), 
	"PD_ID" NUMBER(18,0), 
	"PH_PHOTO" BLOB, 
	"PH_PHOTO_NUMBER" VARCHAR2(30),
	"PM_ID" NUMBER(18,0)
   );


-- Table for NYDEX SECURITY Rules
 CREATE TABLE "NYDEX"."NYDEX_SECURITY" 
   (	"NYDEX_RULE_ID" NUMBER(8,0), 
	"STEREO_TYPE_ID" NUMBER(18,0), 
	"AGCY_ORI" VARCHAR2(9 BYTE), 
	"RULE_TYPE" VARCHAR2(200 BYTE), 
	"INCIDENT_CATEGORY_ID" NUMBER(18,0), 
	"INCIDENT_TYPE_ID" NUMBER(18,0), 
	"LAW_TITLE" VARCHAR2(100 BYTE), 
	"LAW_SECTION" VARCHAR2(100 BYTE), 
	"LAW_SUBSECTION" VARCHAR2(100 BYTE), 
	"INCIDENT_NUMBER" VARCHAR2(18 BYTE), 
	"UCR_CODE" NUMBER(2,0), 
	"SECURITY_FLAG" VARCHAR2(15 BYTE), 
	"INCIDENT_STATUS" NUMBER(18,0),
	PRIMARY KEY ("NYDEX_RULE_ID")
   );

CREATE TABLE "NYDEX"."STEREO_TYPE" 
   (	"STEREO_TYPE_ID" NUMBER(18,0), 
	"TITLE" VARCHAR2(30 BYTE), 
	"LU_ID" NUMBER(18,0), 
	"SEX" VARCHAR2(10 BYTE), 
	"DEFAULTFLAG" VARCHAR2(25 BYTE), 
	"OVERRIDE" CHAR(1 BYTE), 
	"RELIGION" NUMBER(18,0), 
	"INJURY" NUMBER(18,0), 
	"RACE" NUMBER(18,0), 
	"ETHNICITY" NUMBER(18,0), 
	"PERSON_TYPE" NUMBER(18,0), 
	"MIN_AGE" NUMBER(4,0), 
	"MAX_AGE" NUMBER(4,0), 
	 PRIMARY KEY ("STEREO_TYPE_ID")
   );

CREATE TABLE "NYDEX"."FLAGSETTER_USER" 
   (	"USER_ID" NUMBER(18,0), 
	"AGCY_ORI" VARCHAR2(9 BYTE), 
	"USERNAME" VARCHAR2(35 BYTE) NOT NULL ENABLE, 
	"FIRSTNAME" VARCHAR2(25 BYTE), 
	"LASTNAME" VARCHAR2(35 BYTE), 
	"ADMIN" CHAR(1 BYTE), 
	"HOMEAGENCY" VARCHAR2(60 BYTE), 
	"AUXAGENCY" VARCHAR2(60 BYTE), 
	"DEFAULTAGENCY" VARCHAR2(60 BYTE), 
	"TREE" CHAR(1 BYTE), 
	"BUTTONS" CHAR(1 BYTE), 
	"PASSWORD" VARCHAR2(255 BYTE) NOT NULL ENABLE, 
	 PRIMARY KEY ("USER_ID")
    );

    CREATE TABLE "NYDEX"."INCIDENT_STATUS" 
   (	"LU_ID" NUMBER(18,0), 
	"DESCRIPTION" VARCHAR2(50 BYTE), 
	"SECURITY_FLAG" VARCHAR2(6 BYTE) NOT NULL ENABLE, 
	 PRIMARY KEY ("LU_ID")
	 );

-- Table for storing all historical incidents and their type with securityFlag column for applying business rules.
-- This table will be useing for historical loads only ..
-- After successfull completion of historical loads ..this table can be drop.
 CREATE TABLE "NYDEX"."NYDEX_HISTORY_INCIDENTS" 
   (	"I_ID" NUMBER(18,0), 
	"AGCY_ORI" VARCHAR2(15), 
	"REPORT_DATE" DATE, 
	"SECURITY_FLAG" CHAR(15), 
	"YEAR" VARCHAR2(10), 
	"OPERATION" VARCHAR2(4), 
	"HBATCHNO" NUMBER(9,0)
   );


--Creating Years table for historical loads
 CREATE TABLE "NYDEX"."YEARS" 
   (	"BATCHNO" VARCHAR2(10), 
	"BLOCK" VARCHAR2(4), 
	"PDT" VARCHAR2(4), 
	"SECURITY_FLAG_UPDATES" VARCHAR2(5), 
	"RAW_XML_CREATION_STATUS" VARCHAR2(5), 
	"PROCESS_STATUS" VARCHAR2(5)
   );



--creating sequences
create sequence "NYDEX"."SEQ_NYDEX_BATCH_NUM"
start with 1
increment by 1
maxvalue 9999999;

create sequence "NYDEX"."SEQ_NYDEX_BLOCK_NUM"
start with 1
increment by 1
maxvalue 9999999;

CREATE SEQUENCE  "NYDEX"."NYDEX_SEC_SEQUENCE"  
MINVALUE 1 
MAXVALUE 99999999 INCREMENT BY 1 
START WITH 1321 
CACHE 20 
NOORDER  
NOCYCLE ;

GRANT all on nydex.NYDEX_BATCH_LOG to sjs;
GRANT all on nydex.NYDEX_HISTORY_INCIDENTS to sjs;
GRANT all on nydex.NYDEX_MOD_LOG to sjs;
GRANT all on nydex.NYDEX_SECURITY to sjs;
GRANT all on nydex.SJSPERSONPHOTOS to sjs;
GRANT all on nydex.YEARS to sjs;
